Bug 1773444 (CVE-2019-18801) - CVE-2019-18801 envoy: an untrusted remote client may send HTTP/2 requests that write to the heap outside of the request buffers when the upstream is HTTP/1
Summary: CVE-2019-18801 envoy: an untrusted remote client may send HTTP/2 requests tha...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-18801
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1773455
TreeView+ depends on / blocked
 
Reported: 2019-11-18 07:51 UTC by Marian Rehak
Modified: 2020-03-18 18:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 01:24:02 UTC


Attachments (Terms of Use)
[PATCH 1/3] http: fix heap overflow vulnerability (CVE-2019-18801) 1.12.2-0001-http-fix-heap-overflow-vulnerability-CVE-2019-18801.patch (14.98 KB, patch)
2019-11-20 08:37 UTC, msiddiqu
no flags Details | Diff
[PATCH 1/3] http: fix heap overflow vulnerability (CVE-2019-18801) master-0001-http-fix-heap-overflow-vulnerability-CVE-2019-18801.patch (14.98 KB, patch)
2019-11-20 10:14 UTC, msiddiqu
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:4222 None None None 2019-12-11 21:28:14 UTC

Description Marian Rehak 2019-11-18 07:51:36 UTC
An untrusted remote client may send HTTP/2 requests that write to the heap outside of the request buffers when the upstream is HTTP/1.

Comment 1 msiddiqu 2019-11-20 08:37:58 UTC
Created attachment 1638035 [details]
[PATCH 1/3] http: fix heap overflow vulnerability (CVE-2019-18801)

1.12.2-0001-http-fix-heap-overflow-vulnerability-CVE-2019-18801.patch

Comment 2 msiddiqu 2019-11-20 10:14:30 UTC
Created attachment 1638056 [details]
[PATCH 1/3] http: fix heap overflow vulnerability (CVE-2019-18801)

master-0001-http-fix-heap-overflow-vulnerability-CVE-2019-18801.patch

Comment 8 errata-xmlrpc 2019-12-11 21:28:13 UTC
This issue has been addressed in the following products:

  Openshift Service Mesh 1.0
  OpenShift Service Mesh 1.0

Via RHSA-2019:4222 https://access.redhat.com/errata/RHSA-2019:4222

Comment 9 Product Security DevOps Team 2019-12-12 01:24:02 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-18801


Note You need to log in before you can comment on or make changes to this bug.